---
- name: Change user password for console access
  ansible.builtin.user:
    name: "{{ ansible_user }}"
    password: "{{ cumulus_password | b64decode | password_hash('sha512') }}"
    update_password: always
  tags: password

- name: Import reinstall
  ansible.builtin.import_tasks: reinstall.yml
  when: (force_install | default(false) | bool)
  tags: reinstall

- name: Import apt
  ansible.builtin.import_tasks: apt.yml
  tags: apt

- name: Import shell
  ansible.builtin.import_tasks: shell.yml
  tags: shell

- name: Import topology
  ansible.builtin.import_tasks: topology.yml
  tags: topology

- name: Import locale
  ansible.builtin.import_tasks: locale.yml
  tags: locale

- name: Import hostname
  ansible.builtin.import_tasks: hostname.yml
  tags: hostname

- name: Import dns
  ansible.builtin.import_tasks: dns.yml
  tags: dns

- name: Import ntp
  ansible.builtin.import_tasks: ntp.yml
  tags: ntp

- name: Import ssh
  ansible.builtin.import_tasks: ssh.yml
  tags: ssh

- name: Import rest
  ansible.builtin.import_tasks: rest.yml
  tags: rest

- name: Import hsflow
  ansible.builtin.import_tasks: hsflow.yml
  tags: hsflow

- name: Import rsyslog
  ansible.builtin.import_tasks: rsyslog.yml
  tags: rsyslog

- name: Import node_exporter
  ansible.builtin.import_tasks: node_exporter.yml
  when: (prometheus_node_exporter | default(false) | bool)
  tags: node_exporter
